Bug 147371 - rpm segfaults at j2sdk-1.4.2_06-fcs
rpm segfaults at j2sdk-1.4.2_06-fcs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 13:23 EST by Anders Sandell
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 04:26:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Sandell 2005-02-07 13:23:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.54  [en]

Description of problem:
After a failed installation of j2sdk the following occurs.

When doing rpm -q or rpm --rebuilddb rpm segfaults at the package 
j2sdk-1.4.2_06-fcs.

last lines of output from rpm --rebuilddb -vvv:
D:  read h#     780 Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
D:   +++ h#     359 Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
D: adding "tzdata" to Name index.
D: adding 1725 entries to Basenames index.
D: adding "System Environment/Base" to Group index.
D: adding "tzdata" to Providename index.
D: adding "glibc-common" to Conflictname index.
D: adding 70 entries to Dirnames index.
D: adding 3 entries to Requireversion index.
D: adding "2004e-1.fc2" to Provideversion index.
D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding "384df222393f3d84589725f285e90ea2401b5959" to Sha1header 
index.
D: adding 1725 entries to Filemd5s index.
D:  read h#     826 Header sanity check: OK
D:   +++ h#     360 Header sanity check: OK
D: adding "j2sdk" to Name index.
D: adding 1753 entries to Basenames index.
D: adding "Development/Tools" to Group index.
D: adding 6 entries to Requirename index.
D: adding "root" to Providename index.
D: adding 220 entries to Dirnames index.
D: adding 6 entries to Requireversion index.
D: adding "oot" to Provideversion index.
D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding 1753 entries to Filemd5s index.
Segmentation fault



Version-Release number of selected component (if applicable):
rpm-4.3.1-0.4.1

How reproducible:
Always

Steps to Reproduce:
1. Partially install j2sdk-1.4.2_06-fcs (?)
2. Run rpm
3.

    

Actual Results:  Segementation Fault

Expected Results:  Proper execution

Additional info:
Comment 1 Jeff Johnson 2005-02-07 19:14:11 EST
A ptr (i.e. URL, attachments usually don't work) to the
j2sdk-1.4.2_06-fcs you are using, please,
so that a reproducer may be attempted.
Comment 2 Anders Sandell 2005-02-08 02:56:19 EST
The file is avalible at
www.sandell.net/j2sdk-1_4_2_06-linux-i586-rpm.bin
Comment 3 Jeff Johnson 2005-02-08 04:44:21 EST
That package installs fine for me using rpm-4.4.1-0.18
from fc4 with just the j2sdk package.

You need to do
    rm -f /var/lib/rpm/__db*
to clean up stale locks after any segfault in rpm
(as above).

Could you try installing j2sdk by itself with rpm-4.3.1?
If j2sdk installs by itself, the segfault is an obscure
bug in rpmal.c that shows up with large sets of packages
that have certain paths within (I believe).

The other way to confirm the bug fix I mention
is to repeat the original command with all the packages
you attempted to install using rpm-4.4 or later. Packages
are at
    ftp://jbj.org/pub/rpm-4.4.x

If both of the above attempts succeed, then this
is almost surely the problem I refer to.
Comment 4 Anders Sandell 2005-02-08 17:03:00 EST
I have deleted the __* files and tried to install the package again 
(rpm -i) with the same error (Segmentation Fault).

When trying to install the rpm-4.4 packages they need libneon.so.25, 
but afaik the latest developer version is 24 ......
Comment 5 Jeff Johnson 2005-02-21 04:26:16 EST
This install WORKSFORME.
Comment 6 Anders Sandell 2005-02-21 15:49:35 EST
Could you please point out where to find libneon.so.25 ??????

Note You need to log in before you can comment on or make changes to this bug.